alter table ACT_RU_TASK add   PROC_TITLE NVARCHAR2(2000);
alter table ACT_RU_TASK add   SENDER NVARCHAR2(64);
alter table ACT_RU_TASK add   PRE_TASK_DEF_KEY NVARCHAR2(64);
alter table ACT_RU_TASK add   PRE_TASK_ID  NVARCHAR2(64);
alter table ACT_RU_TASK add   PRE_TASK_DEF_NAME NVARCHAR2(255);
alter table ACT_RU_TASK add   ACTION_TYPE NVARCHAR2(64);

alter table ACT_HI_TASKINST add   PROC_TITLE NVARCHAR2(2000);
alter table ACT_HI_TASKINST add   SENDER NVARCHAR2(64);
alter table ACT_HI_TASKINST add   PRE_TASK_DEF_KEY NVARCHAR2(64);
alter table ACT_HI_TASKINST add   PRE_TASK_ID  NVARCHAR2(64);
alter table ACT_HI_TASKINST add   PRE_TASK_DEF_NAME NVARCHAR2(255);
alter table ACT_HI_TASKINST add   ACTION_TYPE NVARCHAR2(64);

alter table ACT_HI_PROCINST add   PROC_TITLE NVARCHAR2(2000);
alter table ACT_HI_PROCINST add   PROC_STATE int;


alter table ACT_RU_EXECUTION add   PROC_TITLE NVARCHAR2(2000);


alter table act_hi_actinst add   PROC_TITLE NVARCHAR2(300);
alter table act_hi_actinst add   SENDER NVARCHAR2(64);
alter table act_hi_actinst add   PRE_ACT_ID NVARCHAR2(255);
alter table act_hi_actinst add   PRE_ACT_NAME  NVARCHAR2(255);
alter table act_hi_actinst add   PRE_ACT_INST_ID NVARCHAR2(255);


alter table act_hi_varinst add   CREATE_TIME_ TIMESTAMP(6);
alter table act_hi_varinst add   LAST_UPDATED_TIME_ TIMESTAMP(6);


-- Add/modify columns 
alter table ACT_HI_TASKINST add top_execution_id_ NVARCHAR2(64);
alter table ACT_HI_TASKINST add top_execution_id_ NVARCHAR2(64);


alter table ACT_RE_PROCDEF add ORG_ID_ NVARCHAR2(100);
alter table ACT_RU_IDENTITYLINK add ORG_ID_ NVARCHAR2(100);

alter table ACT_RE_MODEL add MODEL_STATE NVARCHAR2(10);

alter table ACT_RU_EXECUTION add TOP_PROCESS_INSTANCE_ID_ NVARCHAR2(100);

alter table  ACT_HI_PROCINST add PROC_DEF_NAME NVARCHAR2(500);
alter table  ACT_HI_PROCINST add START_USER_NAME NVARCHAR2(100);
alter table  ACT_HI_PROCINST add STARTER_ORG_ID NVARCHAR2(100);
alter table  ACT_HI_PROCINST add STARTER_ORG_NAME NVARCHAR2(100);
alter table  ACT_HI_PROCINST add STARTER NVARCHAR2(100);
alter table  ACT_HI_PROCINST add TOP_PROCESS_INSTANCE_ID_ NVARCHAR2(100);




alter table  ACT_HI_ACTINST add SEND_USER_NAME NVARCHAR2(100);
alter table  ACT_HI_ACTINST add SENDER_ORG_ID NVARCHAR2(100);
alter table  ACT_HI_ACTINST add SENDER_ORG_NAME NVARCHAR2(100);
alter table  ACT_HI_ACTINST add ASSIGNEE_USER_NAME NVARCHAR2(100);
alter table  ACT_HI_ACTINST add ASSIGNEE_ORG_ID NVARCHAR2(100);
alter table  ACT_HI_ACTINST add ASSIGNEE_ORG_NAME NVARCHAR2(100);
alter table  ACT_HI_ACTINST add PROC_DEF_NAME NVARCHAR2(500);



alter table  ACT_RU_TASK add SEND_USER_NAME NVARCHAR2(100);
alter table  ACT_RU_TASK add SENDER_ORG_ID NVARCHAR2(100);
alter table  ACT_RU_TASK add SENDER_ORG_NAME NVARCHAR2(100);
alter table  ACT_RU_TASK add ASSIGNEE_USER_NAME NVARCHAR2(100);
alter table  ACT_RU_TASK add ASSIGNEE_ORG_ID NVARCHAR2(100);
alter table  ACT_RU_TASK add ASSIGNEE_ORG_NAME NVARCHAR2(100);
alter table  ACT_RU_TASK add ASSIGNEE_USER_ID NVARCHAR2(100);
alter table  ACT_RU_TASK add SEND_USER_ID NVARCHAR2(100);
alter table  ACT_RU_TASK add PROC_DEF_NAME NVARCHAR2(500);



alter table  ACT_HI_TASKINST add SEND_USER_NAME NVARCHAR2(100);
alter table  ACT_HI_TASKINST add SENDER_ORG_ID NVARCHAR2(100);
alter table  ACT_HI_TASKINST add SENDER_ORG_NAME NVARCHAR2(100);
alter table  ACT_HI_TASKINST add ASSIGNEE_USER_NAME NVARCHAR2(100);
alter table  ACT_HI_TASKINST add ASSIGNEE_ORG_ID NVARCHAR2(100);
alter table  ACT_HI_TASKINST add ASSIGNEE_ORG_NAME NVARCHAR2(100);
alter table  ACT_HI_TASKINST add ASSIGNEE_USER_ID NVARCHAR2(100);
alter table  ACT_HI_TASKINST add SEND_USER_ID NVARCHAR2(100);
alter table  ACT_HI_TASKINST add PROC_DEF_NAME NVARCHAR2(500);
alter table  ACT_HI_TASKINST add TOP_EXECUTION_ID_ NVARCHAR2(100);


alter table  ACT_HI_COMMENT add DISPLAY_AREA NVARCHAR2(500);
alter table  ACT_HI_COMMENT add TOP_PROC_INST_ID_ NVARCHAR2(100);

